/*
 * Copyright (C) 2011 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.net.wifi.p2p;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class WifiP2pConfig implements android.os.Parcelable {

public WifiP2pConfig() { throw new RuntimeException("Stub!"); }

public WifiP2pConfig(android.net.wifi.p2p.WifiP2pConfig source) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getNetworkName() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getPassphrase() { throw new RuntimeException("Stub!"); }

public int getGroupOwnerBand() { throw new RuntimeException("Stub!"); }

public int getNetworkId() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.net.wifi.p2p.WifiP2pConfig> CREATOR;
static { CREATOR = null; }

public static final int GROUP_OWNER_BAND_2GHZ = 1; // 0x1

public static final int GROUP_OWNER_BAND_5GHZ = 2; // 0x2

public static final int GROUP_OWNER_BAND_AUTO = 0; // 0x0

public static final int GROUP_OWNER_INTENT_AUTO = -1; // 0xffffffff

public static final int GROUP_OWNER_INTENT_MAX = 15; // 0xf

public static final int GROUP_OWNER_INTENT_MIN = 0; // 0x0

public java.lang.String deviceAddress = "";

public int groupOwnerIntent = -1; // 0xffffffff

public android.net.wifi.WpsInfo wps;
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.net.wifi.p2p.WifiP2pConfig.Builder setDeviceAddress(@android.annotation.Nullable android.net.MacAddress deviceAddress) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.net.wifi.p2p.WifiP2pConfig.Builder setNetworkName(@android.annotation.NonNull java.lang.String networkName) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.net.wifi.p2p.WifiP2pConfig.Builder setPassphrase(@android.annotation.NonNull java.lang.String passphrase) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.net.wifi.p2p.WifiP2pConfig.Builder setGroupOperatingBand(int band) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.net.wifi.p2p.WifiP2pConfig.Builder setGroupOperatingFrequency(int frequency) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.net.wifi.p2p.WifiP2pConfig.Builder enablePersistentMode(boolean persistent) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.net.wifi.p2p.WifiP2pConfig build() { throw new RuntimeException("Stub!"); }
}

}

