/**
 * Copyright (C) 2014 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.service.voice;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class AlwaysOnHotwordDetector {

AlwaysOnHotwordDetector() { throw new RuntimeException("Stub!"); }

public int getSupportedRecognitionModes() { throw new RuntimeException("Stub!"); }

public int getSupportedAudioCapabilities() { throw new RuntimeException("Stub!"); }

public boolean startRecognition(int recognitionFlags) { throw new RuntimeException("Stub!"); }

public boolean stopRecognition() { throw new RuntimeException("Stub!"); }

public int setParameter(int modelParam, int value) { throw new RuntimeException("Stub!"); }

public int getParameter(int modelParam) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.service.voice.AlwaysOnHotwordDetector.ModelParamRange queryParameter(int modelParam) { throw new RuntimeException("Stub!"); }

public android.content.Intent createEnrollIntent() { throw new RuntimeException("Stub!"); }

public android.content.Intent createUnEnrollIntent() { throw new RuntimeException("Stub!"); }

public android.content.Intent createReEnrollIntent() { throw new RuntimeException("Stub!"); }

public static final int AUDIO_CAPABILITY_ECHO_CANCELLATION = 1; // 0x1

public static final int AUDIO_CAPABILITY_NOISE_SUPPRESSION = 2; // 0x2

public static final int MODEL_PARAM_THRESHOLD_FACTOR = 0; // 0x0

public static final int RECOGNITION_FLAG_ALLOW_MULTIPLE_TRIGGERS = 2; // 0x2

public static final int RECOGNITION_FLAG_CAPTURE_TRIGGER_AUDIO = 1; // 0x1

public static final int RECOGNITION_FLAG_ENABLE_AUDIO_ECHO_CANCELLATION = 4; // 0x4

public static final int RECOGNITION_FLAG_ENABLE_AUDIO_NOISE_SUPPRESSION = 8; // 0x8

public static final int RECOGNITION_MODE_USER_IDENTIFICATION = 2; // 0x2

public static final int RECOGNITION_MODE_VOICE_TRIGGER = 1; // 0x1

public static final int STATE_HARDWARE_UNAVAILABLE = -2; // 0xfffffffe

public static final int STATE_KEYPHRASE_ENROLLED = 2; // 0x2

public static final int STATE_KEYPHRASE_UNENROLLED = 1; // 0x1

@Deprecated public static final int STATE_KEYPHRASE_UNSUPPORTED = -1; // 0xffffffff
@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract static class Callback {

public Callback() { throw new RuntimeException("Stub!"); }

public abstract void onAvailabilityChanged(int status);

public abstract void onDetected(@android.annotation.NonNull android.service.voice.AlwaysOnHotwordDetector.EventPayload eventPayload);

public abstract void onError();

public abstract void onRecognitionPaused();

public abstract void onRecognitionResumed();
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class EventPayload {

private EventPayload() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.media.AudioFormat getCaptureAudioFormat() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public byte[] getTriggerAudio() { throw new RuntimeException("Stub!"); }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class ModelParamRange {

ModelParamRange() { throw new RuntimeException("Stub!"); }

public int getStart() { throw new RuntimeException("Stub!"); }

public int getEnd() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object obj) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }
}

}

