/*
 * Copyright (c) 1997, 2013, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

/*
 * (C) Copyright Taligent, Inc. 1996 - 1997, All Rights Reserved
 * (C) Copyright IBM Corp. 1996 - 1998, All Rights Reserved
 *
 * The original version of this source code and documentation is
 * copyrighted and owned by Taligent, Inc., a wholly-owned subsidiary
 * of IBM. These materials are provided under terms of a License
 * Agreement between Taligent and Sun. This technology is protected
 * by multiple US and International patents.
 *
 * This notice and attribution to Taligent may not be removed.
 * Taligent is a registered trademark of Taligent, Inc.
 *
 */



package java.awt.font;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class TextAttribute extends java.text.AttributedCharacterIterator.Attribute {

protected TextAttribute(java.lang.String name) { super(null); throw new RuntimeException("Stub!"); }

protected java.lang.Object readResolve() throws java.io.InvalidObjectException { throw new RuntimeException("Stub!"); }

public static final java.awt.font.TextAttribute BACKGROUND;
static { BACKGROUND = null; }

public static final java.awt.font.TextAttribute BIDI_EMBEDDING;
static { BIDI_EMBEDDING = null; }

public static final java.awt.font.TextAttribute CHAR_REPLACEMENT;
static { CHAR_REPLACEMENT = null; }

public static final java.awt.font.TextAttribute FAMILY;
static { FAMILY = null; }

public static final java.awt.font.TextAttribute FONT;
static { FONT = null; }

public static final java.awt.font.TextAttribute FOREGROUND;
static { FOREGROUND = null; }

public static final java.awt.font.TextAttribute INPUT_METHOD_HIGHLIGHT;
static { INPUT_METHOD_HIGHLIGHT = null; }

public static final java.awt.font.TextAttribute INPUT_METHOD_UNDERLINE;
static { INPUT_METHOD_UNDERLINE = null; }

public static final java.awt.font.TextAttribute JUSTIFICATION;
static { JUSTIFICATION = null; }

public static final java.lang.Float JUSTIFICATION_FULL;
static { JUSTIFICATION_FULL = null; }

public static final java.lang.Float JUSTIFICATION_NONE;
static { JUSTIFICATION_NONE = null; }

public static final java.awt.font.TextAttribute KERNING;
static { KERNING = null; }

public static final java.lang.Integer KERNING_ON;
static { KERNING_ON = null; }

public static final java.awt.font.TextAttribute LIGATURES;
static { LIGATURES = null; }

public static final java.lang.Integer LIGATURES_ON;
static { LIGATURES_ON = null; }

public static final java.awt.font.TextAttribute NUMERIC_SHAPING;
static { NUMERIC_SHAPING = null; }

public static final java.awt.font.TextAttribute POSTURE;
static { POSTURE = null; }

public static final java.lang.Float POSTURE_OBLIQUE;
static { POSTURE_OBLIQUE = null; }

public static final java.lang.Float POSTURE_REGULAR;
static { POSTURE_REGULAR = null; }

public static final java.awt.font.TextAttribute RUN_DIRECTION;
static { RUN_DIRECTION = null; }

public static final java.lang.Boolean RUN_DIRECTION_LTR;
static { RUN_DIRECTION_LTR = null; }

public static final java.lang.Boolean RUN_DIRECTION_RTL;
static { RUN_DIRECTION_RTL = null; }

public static final java.awt.font.TextAttribute SIZE;
static { SIZE = null; }

public static final java.awt.font.TextAttribute STRIKETHROUGH;
static { STRIKETHROUGH = null; }

public static final java.lang.Boolean STRIKETHROUGH_ON;
static { STRIKETHROUGH_ON = null; }

public static final java.awt.font.TextAttribute SUPERSCRIPT;
static { SUPERSCRIPT = null; }

public static final java.lang.Integer SUPERSCRIPT_SUB;
static { SUPERSCRIPT_SUB = null; }

public static final java.lang.Integer SUPERSCRIPT_SUPER;
static { SUPERSCRIPT_SUPER = null; }

public static final java.awt.font.TextAttribute SWAP_COLORS;
static { SWAP_COLORS = null; }

public static final java.lang.Boolean SWAP_COLORS_ON;
static { SWAP_COLORS_ON = null; }

public static final java.awt.font.TextAttribute TRACKING;
static { TRACKING = null; }

public static final java.lang.Float TRACKING_LOOSE;
static { TRACKING_LOOSE = null; }

public static final java.lang.Float TRACKING_TIGHT;
static { TRACKING_TIGHT = null; }

public static final java.awt.font.TextAttribute TRANSFORM;
static { TRANSFORM = null; }

public static final java.awt.font.TextAttribute UNDERLINE;
static { UNDERLINE = null; }

public static final java.lang.Integer UNDERLINE_LOW_DASHED;
static { UNDERLINE_LOW_DASHED = null; }

public static final java.lang.Integer UNDERLINE_LOW_DOTTED;
static { UNDERLINE_LOW_DOTTED = null; }

public static final java.lang.Integer UNDERLINE_LOW_GRAY;
static { UNDERLINE_LOW_GRAY = null; }

public static final java.lang.Integer UNDERLINE_LOW_ONE_PIXEL;
static { UNDERLINE_LOW_ONE_PIXEL = null; }

public static final java.lang.Integer UNDERLINE_LOW_TWO_PIXEL;
static { UNDERLINE_LOW_TWO_PIXEL = null; }

public static final java.lang.Integer UNDERLINE_ON;
static { UNDERLINE_ON = null; }

public static final java.awt.font.TextAttribute WEIGHT;
static { WEIGHT = null; }

public static final java.lang.Float WEIGHT_BOLD;
static { WEIGHT_BOLD = null; }

public static final java.lang.Float WEIGHT_DEMIBOLD;
static { WEIGHT_DEMIBOLD = null; }

public static final java.lang.Float WEIGHT_DEMILIGHT;
static { WEIGHT_DEMILIGHT = null; }

public static final java.lang.Float WEIGHT_EXTRABOLD;
static { WEIGHT_EXTRABOLD = null; }

public static final java.lang.Float WEIGHT_EXTRA_LIGHT;
static { WEIGHT_EXTRA_LIGHT = null; }

public static final java.lang.Float WEIGHT_HEAVY;
static { WEIGHT_HEAVY = null; }

public static final java.lang.Float WEIGHT_LIGHT;
static { WEIGHT_LIGHT = null; }

public static final java.lang.Float WEIGHT_MEDIUM;
static { WEIGHT_MEDIUM = null; }

public static final java.lang.Float WEIGHT_REGULAR;
static { WEIGHT_REGULAR = null; }

public static final java.lang.Float WEIGHT_SEMIBOLD;
static { WEIGHT_SEMIBOLD = null; }

public static final java.lang.Float WEIGHT_ULTRABOLD;
static { WEIGHT_ULTRABOLD = null; }

public static final java.awt.font.TextAttribute WIDTH;
static { WIDTH = null; }

public static final java.lang.Float WIDTH_CONDENSED;
static { WIDTH_CONDENSED = null; }

public static final java.lang.Float WIDTH_EXTENDED;
static { WIDTH_EXTENDED = null; }

public static final java.lang.Float WIDTH_REGULAR;
static { WIDTH_REGULAR = null; }

public static final java.lang.Float WIDTH_SEMI_CONDENSED;
static { WIDTH_SEMI_CONDENSED = null; }

public static final java.lang.Float WIDTH_SEMI_EXTENDED;
static { WIDTH_SEMI_EXTENDED = null; }
}

