/*
 *  Licensed to the Apache Software Foundation (ASF) under one or more
 *  contributor license agreements.  See the NOTICE file distributed with
 *  this work for additional information regarding copyright ownership.
 *  The ASF licenses this file to You under the Apache License, Version 2.0
 *  (the "License"); you may not use this file except in compliance with
 *  the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */



package java.math;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class BigInteger extends java.lang.Number implements java.lang.Comparable<java.math.BigInteger>, java.io.Serializable {

public BigInteger(int numBits, @androidx.annotation.RecentlyNonNull java.util.Random random) { throw new RuntimeException("Stub!"); }

public BigInteger(int bitLength, int certainty, @androidx.annotation.RecentlyNonNull java.util.Random random) { throw new RuntimeException("Stub!"); }

public BigInteger(@androidx.annotation.RecentlyNonNull java.lang.String value) { throw new RuntimeException("Stub!"); }

public BigInteger(@androidx.annotation.RecentlyNonNull java.lang.String value, int radix) { throw new RuntimeException("Stub!"); }

public BigInteger(int signum, byte[] magnitude) { throw new RuntimeException("Stub!"); }

public BigInteger(byte[] value) { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public static java.math.BigInteger valueOf(long value) { throw new RuntimeException("Stub!"); }

public byte[] toByteArray() { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger abs() { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger negate() { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger add(@androidx.annotation.RecentlyNonNull java.math.BigInteger value) { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger subtract(@androidx.annotation.RecentlyNonNull java.math.BigInteger value) { throw new RuntimeException("Stub!"); }

public int signum() { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger shiftRight(int n) { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger shiftLeft(int n) { throw new RuntimeException("Stub!"); }

public int bitLength() { throw new RuntimeException("Stub!"); }

public boolean testBit(int n) { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger setBit(int n) { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger clearBit(int n) { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger flipBit(int n) { throw new RuntimeException("Stub!"); }

public int getLowestSetBit() { throw new RuntimeException("Stub!"); }

public int bitCount() { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger not() { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger and(@androidx.annotation.RecentlyNonNull java.math.BigInteger value) { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger or(@androidx.annotation.RecentlyNonNull java.math.BigInteger value) { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger xor(@androidx.annotation.RecentlyNonNull java.math.BigInteger value) { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger andNot(@androidx.annotation.RecentlyNonNull java.math.BigInteger value) { throw new RuntimeException("Stub!"); }

public int intValue() { throw new RuntimeException("Stub!"); }

public long longValue() { throw new RuntimeException("Stub!"); }

public float floatValue() { throw new RuntimeException("Stub!"); }

public double doubleValue() { throw new RuntimeException("Stub!"); }

public int compareTo(@androidx.annotation.RecentlyNonNull java.math.BigInteger value) { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger min(@androidx.annotation.RecentlyNonNull java.math.BigInteger value) { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger max(@androidx.annotation.RecentlyNonNull java.math.BigInteger value) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public boolean equals(@androidx.annotation.RecentlyNullable java.lang.Object x) { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.lang.String toString() { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.lang.String toString(int radix) { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger gcd(@androidx.annotation.RecentlyNonNull java.math.BigInteger value) { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger multiply(@androidx.annotation.RecentlyNonNull java.math.BigInteger value) { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger pow(int exp) { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger[] divideAndRemainder(@androidx.annotation.RecentlyNonNull java.math.BigInteger divisor) { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger divide(@androidx.annotation.RecentlyNonNull java.math.BigInteger divisor) { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger remainder(@androidx.annotation.RecentlyNonNull java.math.BigInteger divisor) { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger modInverse(@androidx.annotation.RecentlyNonNull java.math.BigInteger m) { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger modPow(@androidx.annotation.RecentlyNonNull java.math.BigInteger exponent, @androidx.annotation.RecentlyNonNull java.math.BigInteger modulus) { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger mod(@androidx.annotation.RecentlyNonNull java.math.BigInteger m) { throw new RuntimeException("Stub!"); }

public boolean isProbablePrime(int certainty) { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public java.math.BigInteger nextProbablePrime() { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull
public static java.math.BigInteger probablePrime(int bitLength, @androidx.annotation.RecentlyNonNull java.util.Random random) { throw new RuntimeException("Stub!"); }

@androidx.annotation.RecentlyNonNull public static final java.math.BigInteger ONE;
static { ONE = null; }

@androidx.annotation.RecentlyNonNull public static final java.math.BigInteger TEN;
static { TEN = null; }

@androidx.annotation.RecentlyNonNull public static final java.math.BigInteger ZERO;
static { ZERO = null; }
}

